#!/bin/bash

find . -type f -name '*.make' | egrep -e '(drustack_.*\.make|drupal-org.make)' | while read FILE; do
    cat $FILE | grep branch | while read LINE; do
        echo $FILE
        echo $LINE
        PROJECT=`echo $LINE | sed 's/projects\[\(.*\)\]\[download\].* = \(.*\)/\1/g'`
        BRANCH=`echo $LINE | sed 's/projects\[\(.*\)\]\[download\].* = \(.*\)/\2/g'`
        GIT="git --git-dir=`find . -type f -name '.git' | grep \"\/$PROJECT\/\" | egrep -e '(modules|themes)'`"
        $GIT fetch
        $GIT checkout $BRANCH
        $GIT pull
        $GIT status
    done
done

find . -type f -name '*.make' | egrep -e '(drustack_.*\.make|drupal-org.make)' | while read FILE; do
    cat $FILE | grep version | while read LINE; do
        echo $FILE
        echo $LINE
        PROJECT=`echo $LINE | sed 's/projects\[\(.*\)\]\[version\].* = \(.*\)/\1/g'`
        TAG="7.x-`echo $LINE | sed 's/projects\[\(.*\)\]\[version\].* = \(.*\)/\2/g'`"
        GIT="git --git-dir=`find . -type f -name '.git' | grep \"\/$PROJECT\/\" | egrep -e '(modules|themes)'`"
        $GIT fetch
        $GIT checkout $TAG
        $GIT status
    done
done

find sites/all/libraries -type f -name '*.git' | while read LINE; do
    echo $LINE
    GIT="git --git-dir=$LINE"
    $GIT fetch
    $GIT pull
    $GIT status
done
